Блог веб-программиста

24Ноя/080

qutIM — Компиляция из исходников на Gentoo 2008.0

Как известно, qutIM перешел на использование Qt 4.4. В Gentoo Linux 2008.0 Qt4.4 находится под хардмаском.
В
моем случае, в системе был установлен Qt 4.3. qutIM не может быть
скомпилирован на этой версии. Перекомпилировать все приложения,
использующие Qt 4.3 мне не хотелось. Поэтому предлагаю такой принцип
решения, которое в принципе должно подойти и для других дистрибутивов
Linux. Если коротко, то его суть в компиляции qt-4.4 и прописывании
пути к нему в cmake.

1. Качается Qt 4.4.3 с оф сайта
2. Распаковывается в какую-нибудь папочку
3. Запускаем

# ./configure -prefix /opt/qt-4.4.3

Таким образом, наш Qt будет находиться в отдельной папке и не будет мешать другим программам.
4. Компилируем и устанавливаем

# gmake
# sudo gmake install

Всё. Установка Qt 4.4 на это завершена.
Теперь приступаем к компиляции qutIM.
Забираем из SVN.

# svn co http://qutim.org/svn/qutim/

Переходим к плагинам и забираем ICQ.

# cd qutim/plugins
# svn co http://qutim.org/svn/icq

Компилируем qutIM.

# cd ../
# cmake -DQT_QMAKE_EXECUTABLE=/opt/qt-4.4.3/bin/qmake .
# make

Собственно -DQT_QMAKE_EXECUTABLE - и есть тот важный параметр.

Плагин к ICQ:

# cd plugins/icq
# /opt/qt-4.4.3/bin/qmake
# make

Также вас может заинтересовать icq, smaper, мобильный агент скачать

Связано с категорией: Новости Оставить комментарий
Комментарии (0) Пинги (0)

Пока нет комментариев.


Leave a comment

 

Нет обратных ссылок на эту запись.